javax.faces.webapp

## Class PreJsf2ExceptionHandlerFactory

- java.lang.Object
- - javax.faces.context.ExceptionHandlerFactory
  - - javax.faces.webapp.PreJsf2ExceptionHandlerFactory

- All Implemented Interfaces:
    FacesWrapper<ExceptionHandlerFactory>

      public class PreJsf2ExceptionHandlerFactory
      extends ExceptionHandlerFactory

  This `ExceptionHandlerFactory` instance produces JSF 1.2 compatible `ExceptionHandler` instances. The `ExceptionHandler.handle()` method of the `ExceptionHandler` produced by this factory must meet the following requirements

  - Any exceptions thrown before or after phase execution will be logged and swallowed.

  - The implementation must examine the `Exception` within each of the unhandled exception events. If the `Exception` is an instance of `UpdateModelException`, extract the `FacesMessage` from the `UpdateModelException`. Log a `SEVERE` message to the log and queue the `FacesMessage` on the `FacesContext`, using the `clientId` of the source component in a call to `FacesContext.addMessage(java.lang.String, javax.faces.application.FacesMessage)`

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreJsf2ExceptionHandlerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionHandler` | `getExceptionHandler()` Create and return a A new `ExceptionHandler` instance.

    - ### Methods inherited from class javax.faces.context.ExceptionHandlerFactory

      `getWrapped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreJsf2ExceptionHandlerFactory

          public PreJsf2ExceptionHandlerFactory()

  - ### Method Detail

    - #### getExceptionHandler

          public ExceptionHandler getExceptionHandler()

      Description copied from class: `ExceptionHandlerFactory`

      Create and return a A new `ExceptionHandler` instance. The implementation must return an `ExceptionHandler` instance suitable for the environment. For example, in some cases it may be desirable for an `ExceptionHandler` to write error information to the response instead of throwing exceptions as in the case of Ajax applications.

      Specified by:
        `getExceptionHandler` in class `ExceptionHandlerFactory`
      Returns:
        a new `ExceptionHandler` that behaves in a fashion compatible with specifications prior to JavaServerFaces 1.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.